Assignee: Robert Ivens % Done: 100%
Category: ServoyForge Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

It would be handy to set a category for the projects,

Like:

Plugins

Beans

Plugins

Documentation

stuff like that, everything is now on alphabetic order on my home screen, which is now doable, but not with many projects...

just my 2 cents.

Harjo

History

#1 - 06/29/2010 03:14 PM - Robert Ivens

- Assignee set to Robert Ivens

#2 - 06/29/2010 03:18 PM - Robert Ivens
- Category set to ServoyForge

#3 - 06/29/2010 03:27 PM - Robert Ivens

| can add a category field to a project but | have to see how | can make the Projects page sort/group on that. It will require some digging in the RoR
code.

#4 - 06/30/2010 03:30 AM - Patrick Talbot

- Status changed from New to In Progress

| have added a new Category custom field with a fixed list of categories to the projects and set all of them accordingly.
| have tweaked the projects page a little bit to show an icon according to the Category, which will help (and look nice :)

Haven't found how to sort on related custom field, and there is the fact that the project list is in fact a tree, which doesn't help with the sorting.
Need indeed more digging in the RoR sources...

#5 - 06/30/2010 03:32 AM - Patrick Talbot

- File redmine.zip added

| have sent it to you by email Robert but it is here for reference, the patched projects_helper.rb and the icons.

#6 - 07/01/2010 12:01 AM - Robert Ivens
- % Done changed from 0 to 80

Patch is applied.

Sorting is still another matter. We'll investigate the options here.
#7 - 07/01/2010 12:51 AM - Patrick Talbot

There is the Projects Tree View Plugin that we could investigate:
http://www.redmine.org/boards/3/topics/4645

But it looks buggy (says that it is compatible with: Redmine Trunk "using workaround")

Maybe it would be easier to add a category field directly in the projects table?
Then we would be able to sort on it? not too difficult | think to add it to the model.
But then we will need to manage the list of possible values, and show it as a select in the project settings page.

#8 - 07/01/2010 05:40 PM - Benoit Savignac

Thanks guys, it's nice to see the little category icons next to each project name in the list - could something similar be done to indicate Web-Client vs
Smart-Client compatibility?

#9 - 07/01/2010 07:27 PM - Robert Ivens

Adding columns in the project table can be done (and in my view is preferred over any EAV approach).
We'll only have to see how to make Redmine use this column in the project page instead of the current (EAV) custom field.

#10 - 07/01/2010 09:37 PM - Patrick Talbot

Using a new column in the projects page is the easy part:

in the app/controllers/projects_controller.rb we could change line 54 from
@projects = Project.visible.find(:all, :order => "lft')

to

@projects = Project.visible.find(:all, :order => 'category, Ift")

but the Ift defines the tree (which the projects are in fact).
We could probably forget about the tree altogether and sort on the new column.

Adding the new column in the model is automatic, but | wonder about the migration of the db, | don't remember how you do that (of course you can do
it straight in the db, but you need to update the db/schema.rb - now how do you create the migration (to be able to go back and to keep it if we
upgrade)

And using a list of values in the project settings page is the difficult part | think.
Need to tweak the app/views/projects/_form.rhtml to use the column, the acceptable values being pulled from where?

#11 - 07/02/2010 06:13 AM - Patrick Talbot

Benoit Savignac wrote:
Thanks guys, it's nice to see the little category icons next to each project name in the list - could something similar be done to indicate
Web-Client vs Smart-Client compatibility?

| don't think we will go to that amount of details for project icons. There are project categories for which web vs smart doesn't make any sense.

And then we would also need to state the version compatibility, and the java version compatibility...

These things should be kept in the project summary or the project wiki IMHO.

#12 - 11/16/2010 11:56 PM - Robert Ivens

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

I will close this issue. | added another issue for adding searching in the project page.
There is already a plugin available for a newer version of Redmine for this. We are planning to migrate to that newer version somewhere in januari
2011.

Files

redmine.zip 9.49 KB 06/30/2010 Patrick Talbot
